;
(function ($) {
    FR.Report.Plugin.Support = FR.Report.Plugin.Support || {};
    var support = FR.Report.Plugin.Support;

    support.searchResource = function () {
        FR.Msg.prompt(FR.i18nText("FR-Engine_Find"), FR.i18nText("FR-Engine_Input_Resource"), '', function (result) {
            if (!result) {
                return;
            }

            FR.ajax({
                url: FR.servletURL,
                data: {
                    op: 'fr_support',
                    cmd: 'search',
                    keyword: result
                },
                async: false,
                complete: function (res, status) {
                    if (status == 'success') {
                        var resJo = FR.jsonDecode(res.responseText);
                        FR.Msg.alert(FR.i18nText("FR-Engine_Search_Result"), resJo.join("<br>"));
                    }
                }
            });

        });
    };

    support.decodePass = function () {
        FR.Msg.prompt(FR.i18nText("FR-Engine_Decode"), FR.i18nText("FR-Engine_Input_Password"), '', function (result) {
            if (!result) {
                return;
            }

            FR.ajax({
                url: FR.servletURL,
                data: {
                    op: 'fr_support',
                    cmd: 'decode',
                    keyword: result
                },
                async: false,
                complete: function (res, status) {
                    if (status == 'success') {
                        FR.Msg.alert(FR.i18nText("FR-Engine_Decode_Result"), res.responseText);
                    }
                }
            });

        });
    };

    support.viewLic = function () {
        FR.ajax({
            url: FR.servletURL,
            data: {
                op: 'fr_support',
                cmd: 'lic'
            },
            async: false,
            complete: function (res, status) {
                if (status == 'success') {
                    var lic = FR.jsonDecode(res.responseText);
                    var result = [];
                    if (lic.support) {
                        result.push(FR.i18nText("FR-Engine_Support_Funcs") + lic.support);
                    }
                    if (lic.notsupport) {
                        result.push(FR.i18nText("FR-Engine_Not_Support_Funcs") + lic.notsupport);
                    }
                    if (lic.DEADLINE) {
                        result.push(FR.i18nText("FR-Engine_DeadLine") + lic.DEADLINE);
                    }
                    if (lic.UUID) {
                        result.push("UUID: " + lic.UUID);
                    }
                    if (lic.MACADDRESS) {
                        result.push("Mac: " + lic.MACADDRESS);
                    }
                    if (lic.MUTICONNECTION){
                        result.push(FR.i18nText("FR-Engine_Lic-Connections") + lic.MUTICONNECTION);
                    }
                    if(lic.APPNAME){
                        result.push(FR.i18nText("FR-Engine_Lic-AppName") + lic.APPNAME);
                    }
                    if(lic.CONCURRENCY){
                        result.push(FR.i18nText("FR-Engine_Lic-Concurrency") + lic.CONCURRENCY);
                    }

                    if (lic.reportletscount) {
                        result.push("reportlets: " + lic.reportletscount);
                    }

                    FR.Msg.alert(FR.i18nText("FR-Engine_Funcs"), result.join("<br>"));
                }
            }
        });
    };

    support.getServerInfo = function () {
        FR.ajax({
            url: FR.servletURL,
            data: {
                op: 'fr_support',
                cmd: 'info'
            },
            async: false,
            complete: function (res, status) {
                if (status == 'success') {
                    var infoJo = FR.jsonDecode(res.responseText);
                    var result = [];
                    result.push(FR.i18nText("FR-Engine_Jar_Time") + infoJo.buildTime);
                    result.push(FR.i18nText("FR-Engine_Jdk") + infoJo.javaHome);
                    result.push(FR.i18nText("FR-Engine_Jdk_version") + infoJo.version);
                    result.push(FR.i18nText("FR-Engine_Designer_Config") + infoJo.userHome);
                    result.push(FR.i18nText("FR-Engine_Server_path") + infoJo.envPath);
                    result.push(FR.i18nText("FR-Engine_Product_Version") + infoJo.productVersion);
                    FR.Msg.alert(FR.i18nText("FR-Engine_System_Info"), result.join("<br>"));
                }
            }
        });
    };

    support.compareJDBC = function () {
        FR.Msg.prompt(FR.i18nText("FR-Engine_DataSource"), FR.i18nText("FR-Engine_DataSource-Tip"), '', function (result) {
            if (!result) {
                return;
            }

            var resArray = result.split("#");
            FR.ajax({
                url: FR.servletURL,
                data: {
                    op: 'fr_support',
                    cmd: 'connection',
                    driver: encodeURIComponent(resArray[0]),
                    url: encodeURIComponent(resArray[1]),
                    username: encodeURIComponent(resArray[2]),
                    password: encodeURIComponent(resArray[3])
                },
                async: false,
                complete: function (res, status) {
                    if (status == 'success') {
                        var resJo = FR.jsonDecode(res.responseText);
                        var resText = [];
                        resText.push(FR.i18nText("FR-Engine_Report-Result") + resJo.fr);
                        resText.push(FR.i18nText("FR-Engine_JDBC-Result") + resJo.jdbc)
                        FR.Msg.alert(FR.i18nText("FR-Engine_Result"), resText.join("<br>"));
                    }
                }
            });

        });
    };

    support.checkXML = function () {
        FR.ajax({
            url: FR.servletURL,
            data: {
                op: 'fr_support',
                cmd: 'xml'
            },
            async: false,
            complete: function (res, status) {
                if (status == 'success') {
                    var lic = FR.jsonDecode(res.responseText);
                    FR.Msg.alert(FR.i18nText("FR-Engine_Result"), lic.join("<br>"));
                }
            }
        });
    };

    support.viewTabledataSyncDB = function () {
        window.location = FR.servletURL + "?op=fr_support&cmd=syncdb";
    };

})(jQuery);